Bug 1663585 - Live image builds fail with anaconda 30.15-1 - "ValueError: new value xfs is not valid as a default fs type"
Summary: Live image builds fail with anaconda 30.15-1 - "ValueError: new value xfs is ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F30BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2019-01-05 00:10 UTC by Adam Williamson
Modified: 2019-07-16 11:38 UTC (History)
13 users (show)

Fixed In Version: anaconda-30.16-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-11 17:21:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2019-01-05 00:10:46 UTC
The Fedora-Rawhide-20190104.n.0 compose failed due to failed live image composes. It seems that all live image composes failed with this anaconda traceback:

2019-01-04 10:14:47,917 INFO pylorax: Traceback (most recent call last):
2019-01-04 10:14:47,918 INFO pylorax: File "/usr/sbin/anaconda", line 622, in <module>
2019-01-04 10:14:47,918 INFO pylorax: display.setup_display(anaconda, opts, addon_paths=addon_paths)
2019-01-04 10:14:47,918 INFO pylorax: File "/usr/lib64/python3.7/site-packages/pyanaconda/display.py", line 336, in setup_display
2019-01-04 10:14:47,918 INFO pylorax: anaconda.initInterface(addon_paths=addon_paths)
2019-01-04 10:14:47,918 INFO pylorax: File "/usr/lib64/python3.7/site-packages/pyanaconda/anaconda.py", line 377, in initInterface
2019-01-04 10:14:47,918 INFO pylorax: self._intf = TextUserInterface(self.storage, self.payload)
2019-01-04 10:14:47,918 INFO pylorax: File "/usr/lib64/python3.7/site-packages/pyanaconda/anaconda.py", line 182, in storage
2019-01-04 10:14:47,918 INFO pylorax: self._set_storage_defaults(self._storage)
2019-01-04 10:14:47,919 INFO pylorax: File "/usr/lib64/python3.7/site-packages/pyanaconda/anaconda.py", line 293, in _set_storage_defaults
2019-01-04 10:14:47,919 INFO pylorax: storage.set_default_fstype(fstype)
2019-01-04 10:14:47,919 INFO pylorax: File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
2019-01-04 10:14:47,919 INFO pylorax: return m(*args, **kwargs)
2019-01-04 10:14:47,919 INFO pylorax: File "/usr/lib/python3.7/site-packages/blivet/blivet.py", line 1065, in set_default_fstype
2019-01-04 10:14:47,919 INFO pylorax: self._check_valid_fstype(newtype)
2019-01-04 10:14:47,919 INFO pylorax: File "/usr/lib/python3.7/site-packages/blivet/threads.py", line 53, in run_with_lock
2019-01-04 10:14:47,919 INFO pylorax: return m(*args, **kwargs)
2019-01-04 10:14:47,919 INFO pylorax: File "/usr/lib/python3.7/site-packages/blivet/blivet.py", line 1050, in _check_valid_fstype
2019-01-04 10:14:47,920 INFO pylorax: raise ValueError("new value %s is not valid as a default fs type" % newtype)
2019-01-04 10:14:47,920 INFO pylorax: ValueError: new value xfs is not valid as a default fs type

blivet has not changed, so I'm guessing the new anaconda is to blame here. Likely some kind of live image special case that's been forgotten in the changes, or something...

This is an automatic Beta blocker, per "Bugs which entirely prevent the composition of one or more of the release-blocking images required to be built for a currently-pending (pre-)release" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers

Comment 1 Kevin Fenzi 2019-01-05 18:45:15 UTC
I've untagged anaconda-30.15-1.fc30 and anaconda-30.14-1.fc30 for now until this can get sorted out.

Comment 2 Martin Kolman 2019-01-07 11:14:42 UTC
We usually see this error when there is an initrd & stage2 mismatch - stage 2 contains kernel modules, but for a different kernel version than what was started for the initrd. So the modules, such as the one used for XFS, are not available once stage2 needs them and Anaconda crashes. IIRC jkonecny is looking into way how to detect this mismatch and properly report it when it happens.

Are you using the lorax "virt" option when building the live iso ? Then it could be the boot iso you are using does not match the repository used to build the live image (IIRC the Anaconda initrd will prefer stage2 from the repo if available).

Comment 3 Vendula Poncova 2019-01-07 16:01:23 UTC
It is the Anaconda issue after all. Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1754

Comment 4 Adam Williamson 2019-02-11 17:21:15 UTC
We've had live images in composes since 30.16, so this was clearly fixed. Thanks.


Note You need to log in before you can comment on or make changes to this bug.